// Copyright (C) 2003 by ASUSTeK. All rights are reserved.

//////////////////////////////////////////////////////////////////////
// PopupMenuItem

function PopupMenuItem (id, label, title)
{
    this.id = id;
    this.label = label;
    this.title = title;
}


//////////////////////////////////////////////////////////////////////
// PullDownMenu


//////////////////////////////////////////////////////////////////////
// PullDownMenu

function PullDownMenuItem (id, label, title)
{
    this.id = id;
    this.label = label;
    this.title = title;
    this.popup = false;
    if (arguments.length > 3) {
        for (var i = 3; i < arguments.length; i++) {
            if (arguments[i]) {
                if (!this.popup) {
                    this.popup = new Array();
                }
                this.popup[this.popup.length] = arguments[i];
            }
        }
    }
}

function addSubMenuOfPullDownMenuItem ()
{
    for (var i = 0; i < arguments.length; i++) {
        if (arguments[i]) {
            if (!this.popup) {
                this.popup = new Array();
            }
            this.popup[this.popup.length] = arguments[i];
        }
    }
}

function idAtOfPullDownMenuItem (id)
{
    if (this.popup) {
        for (var i = 0; i < this.popup.length; i++) {
            if (this.popup[i].id) {
                if (this.popup[i].id == id) {
                    return this.popup[i];
                }
            }
        }
    }
    return false;
}

function lengthOfPullDownMenuItem ()
{
    if (this.popup) {
        return this.popup.length;
    }
    return 0;
}

function atOfPullDownMenuItem (i)
{
    if (this.popup) {
        if (this.popup[i]) {
            return this.popup[i];
        }
    }
    return false;
}

PullDownMenuItem.prototype.length = lengthOfPullDownMenuItem;
PullDownMenuItem.prototype.at = atOfPullDownMenuItem;
PullDownMenuItem.prototype.idAt = idAtOfPullDownMenuItem;
PullDownMenuItem.prototype.addSubMenu = addSubMenuOfPullDownMenuItem;

//////////////////////////////////////////////////////////////////////
// TopLevelMenuItem

function TopLevelMenuItem (id, label, color, width)
{
    this.id = id;
    this.label = label;
    this.width = width;
    this.color = color;
    this.pulldown = new Array();
    for (var i = 4; i < arguments.length; i++) {
        if (arguments[i]) {
            this.pulldown[this.pulldown.length] = arguments[i];
        }
    }
}

function idAtOfTopLevelMenuItem (id)
{
    if (this.pulldown) {
        for (var i = 0; i < this.pulldown.length; i++) {
            if (this.pulldown[i].id) {
                if (this.pulldown[i].id == id) {
                    return this.pulldown[i];
                }
            }
        }
    }
    return false;
}

function lengthOfTopLevelMenuItem ()
{
    if (this.pulldown) {
        return this.pulldown.length;
    }
    return 0;
}

TopLevelMenuItem.prototype.length = lengthOfTopLevelMenuItem;
TopLevelMenuItem.prototype.idAt = idAtOfTopLevelMenuItem;